0

I am having a problem including pdf pages in latex as appendix. I have tried using pdfpages but including \usepackage{pdfpages} in my style file of my thesis does not allow the code to work. Below is a list of all the packages I am using.

\usepackage{amssymb}
\usepackage{graphicx} % for improved inclusion of graphics
\usepackage[margin=10pt,font=small,labelfont=bf]{caption} 
\usepackage{fancyhdr} % for better header layout
\usepackage{eucal}
\usepackage[norsk]{babel}
\usepackage[usenames, dvipsnames]{color}
\usepackage[perpage]{footmisc}
\usepackage[round]{natbib}
\usepackage{ifthen}
\usepackage{multicol} 
\setlength{\columnsep}{20pt} 
\usepackage[nottoc]{tocbibind} 
\usepackage{nextpage}
\usepackage{caption}
\usepackage{subfig}
\usepackage{float}
\usepackage{tabularx, booktabs}
\usepackage{nameref}
\usepackage{pdflscape}
\usepackage{etoolbox}
\usepackage[titletoc, title, toc]{appendix}
\usepackage{placeins}
\usepackage[T1]{fontenc}
\usepackage[utf8]{inputenc}
\usepackage{pdfpages}

I have tried to use \usepackage[draft]{pdfpages} and \usepackage[draft]{graphicx} but I still get an error. What is the thing I am doing wrongly?

Error: 
! LaTeX Error: Option clash for package graphicx.

See the LaTeX manual or LaTeX Companion for explanation.
Type  H <return>  for immediate help.
 ...                                              

l.146     \pdfcompresslevel
                           =9
? 
6
  • graphics is deprecated, use graphicx instead tex.stackexchange.com/a/23076/32374. What error are you getting exactly? Can you copy-paste into your question? Welcome to TeX.SX!
    – darthbith
    Commented Jan 21, 2015 at 13:03
  • 1
    And also use provide a full minimal example and not just your preamble. We cannot see which document class you are using. It is also a good exercise to make a new copy of your document, and then start removing packages and recompile until you end up with something truely minimal. Often this process will end up with you finding the error your self.
    – daleif
    Commented Jan 21, 2015 at 13:06
  • Given the error, most likely whatever documentclass you use already loads graphicx. You really need to tell give us a full minimal example, as daleif said.
    – darthbith
    Commented Jan 21, 2015 at 13:37
  • @daleif I agree recompiling could allow me to figure out the error, but somehow the graphicx package and pdfpages package go not go together. I have tried searching for an answer for this but it does not seem clear why they do not go together. \documentclass[twoside,11pt]{style/ESSthesis}
    – Bala
    Commented Jan 21, 2015 at 13:54
  • You are missing the package kitchen-sink. :-( Commented Jan 22, 2015 at 1:00

1 Answer 1

1

Option clash for package graphicx

means you have already loaded the graphicx package with other options. If you use pdfpages, you don't have to load graphicx by yourself, as it gets loaded by the package.

1
  • It's a little weird that commenting out one package manages to fix everything.. However it was not in the above text where I commented it out but in another section in my style document..
    – Bala
    Commented Jan 22, 2015 at 15:50

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .